<?php
/**
 * Snapfolio All theme Options
 *
 * @package Snapfolio
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

    // Add Section
    $wp_customize->add_section( 'snapfolio_all_theme_options', array(
        'priority' => 50,
        'title' => esc_html__( 'Theme Options', 'snapfolio' ),
    ) );
    
    //  Blog Options
    $wp_customize->add_setting('main-title', array(
            'type'              => 'main-title-control',
            'sanitize_callback' => 'sanitize_text_field',            
        )
    );
    $wp_customize->add_control( new Snapfolio_title_display( $wp_customize, 'snapfolio-100', array(
            'priority' => 100,
            'label' => esc_html__('Blog/ Single Options', 'snapfolio'),
            'section' => 'snapfolio_all_theme_options',
            'settings' => 'main-title',
        ) )
    );

    $wp_customize->add_setting( 'disable-author', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
   $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable-author', 
        array(
                'priority'=>110,
                'label' => esc_html__('Hide Author', 'snapfolio'),
                'section' => 'snapfolio_all_theme_options',
                'type'        => 'ios',
            )
        )
    );

    $wp_customize->add_setting( 'disable-date', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
    $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable-date', 
        array(
                'priority'=>120,
                'label' => esc_html__('Hide Date', 'snapfolio'),
                'section' => 'snapfolio_all_theme_options',
                'type'        => 'ios',
            )
        )
    );

    $wp_customize->add_setting( 'disable-category', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
    $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable-category', 
        array(
                'priority'=>130,
                'label' => esc_html__('Hide Category', 'snapfolio'),
                'section' => 'snapfolio_all_theme_options',
                'type'        => 'ios',
            )
        )
    );

    $wp_customize->add_setting( 'disable-tags', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
    $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable-tags', 
        array(
                'priority'=>130,
                'label' => esc_html__('Hide Tags', 'snapfolio'),
                'section' => 'snapfolio_all_theme_options',
                'type'        => 'ios',
            )
        )
    );

    $wp_customize->add_setting( 'disable-comments', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
    $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable-comments', 
        array(
                'priority'=>150,
                'label' => esc_html__('Hide Comments', 'snapfolio'),
                'section' => 'snapfolio_all_theme_options',
                'settings'  => 'disable-comments',
                'type'        => 'ios',
            )
        )
    );

    $wp_customize->add_setting( 'disable-header-social-icons', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
    $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable-header-social-icons', 
        array(
                'priority'=>170,
                'label' => esc_html__('Hide Social Icons from Info Bar', 'snapfolio'),
                'section' => 'snapfolio_all_theme_options',
                'settings'  => 'disable-header-social-icons',
                'type'        => 'ios',
            )
        )
    );

    $wp_customize->add_setting( 'disable_sticky_menu', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
    $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable_sticky_menu', 
        array(
                'priority'=>180,
                'label' => esc_html__('Disable Sticky Menu', 'snapfolio'),
                'section' => 'snapfolio_all_theme_options',
                'type'        => 'ios',
            )
        )
    );
