<?php
/**
 * Layout Settings
 *
 * @package Snapfolio
 */

$wp_customize->add_section( 'snapfolio_new_layout' , array(
    'title'      => __( 'Layout Settings', 'snapfolio' ),
    'priority'   => 100,
) );

$wp_customize->add_setting( 'layout_option', array(
    'default' => 'full-width',
    'sanitize_callback' => 'snapfolio_sanitize_select',
));
$wp_customize->add_control( new Snapfolio_Control_Radio_Image(
    $wp_customize, 'layout_option',
        array(
            'priority'=>110,
            'label' => __('Display Site Layout', 'snapfolio'),
            'section' => 'snapfolio_new_layout',
            'choices' => array(
                'right-sidebar' =>esc_url( get_template_directory_uri() ) . '/assets/images/right-sidebar.png',
                'left-sidebar' => esc_url( get_template_directory_uri() ) . '/assets/images/left-sidebar.png',
                'full-width' => esc_url( get_template_directory_uri() ) . '/assets/images/fullwidth.png',
            ),
        )
 ));

$wp_customize->add_setting( 'disable-featured-image-single', array(
        'default' => 0,
        'sanitize_callback' => 'snapfolio_sanitize_checkbox',
    ));
    $wp_customize->add_control( new Snapfolio_Control_Toggle( 
        $wp_customize,'disable-featured-image-single', 
        array(
                'priority'=>110,
                'label' => esc_html__('Hide featured image in Single Page', 'snapfolio'),
                'description' => esc_html__('Featured image will not display in single page', 'snapfolio'),
                'section' => 'snapfolio_new_layout',
                'settings'  => 'disable-featured-image-single',
                'type'        => 'ios',
            )
        )
    );