jQuery( function() {

  if (jQuery(window).width() < 981) {
    const toggleBtn = document.getElementById('menu-toggle');
    const menuContainer = document.querySelector('.menu-container');
    const closeBtn = document.getElementById('close-btn');
    const menuLinks = document.querySelectorAll('.menu-container a');

    toggleBtn.addEventListener('click', () => {
      menuContainer.classList.toggle('show-menu');
      if (menuContainer.classList.contains('show-menu')) {
        menuLinks[0].focus();
      }
    });

    menuContainer.addEventListener('keydown', (event) => {
      if (event.key === 'Escape') {
        toggleBtn.focus();
        menuContainer.classList.remove('show-menu');
      } else if (event.key === 'Tab') {
        if (document.activeElement === closeBtn) {
          event.preventDefault();
          menuLinks[0].focus();
        } else if (document.activeElement === menuLinks[0] && event.shiftKey) {
          event.preventDefault();
          closeBtn.focus();
        } else if (document.activeElement === menuLinks[menuLinks.length - 1] && !event.shiftKey) {
          event.preventDefault();
          closeBtn.focus();
        }
      }
    });

    closeBtn.addEventListener('click', () => {
      toggleBtn.focus();
      menuContainer.classList.remove('show-menu');
    });

    menuContainer.addEventListener('transitionend', (event) => {
      if (event.propertyName === 'transform' && !menuContainer.classList.contains('show-menu')) {
        menuLinks[0].blur();
      }
    });

    window.onload = function() {
      menuContainer.classList.add("sub-menu");
    };
  }

  jQuery(window).scroll(function() {
    jQuery('.back-to-top').toggleClass('display-top', jQuery(this).scrollTop() > 400);
  });

  jQuery('.back-to-top').click(function() {
    jQuery('html,body').animate({
      scrollTop: 0
    }, 500);
    return false;
  });


} );