<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Snapfolio
 */

get_header();
?>

	<main id="primary" class="site-main">

		<?php
		// Start the loop.
		while ( have_posts() ) :
			the_post();
			?>

			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="entry-header">
					<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
					<div class="entry-meta">
						<?php 
							snapfolio_entry_cat_tags();
							snapfolio_posted_by();
							snapfolio_posted_on();
							snapfolio_entry_format();
						?>
					</div> <!-- end .entry-meta -->
				</header><!-- .entry-header -->

				<div class="post-image-content">
					<?php snapfolio_post_thumbnail(); ?>
				</div>

				<div class="entry-content">

					<?php
							the_content(
								sprintf(
									wp_kses(
										/* translators: %s: Name of current post. Only visible to screen readers */
										'Continue Reading <span class="screen-reader-text"> "%s"</span>',
										array(
											'span' => array(
												'class' => array(),
											),
										)
									),
									wp_kses_post( get_the_title() )
								)
							);
							wp_link_pages(
								array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'snapfolio' ),
									'after'  => '</div>',
								)
							);
						?>
				</div><!-- .entry-content -->
			</article><!-- #post-<?php the_ID(); ?> -->
			<?php

			// Previous/next post navigation.
			the_post_navigation(
				array(
					'prev_text' => '</span> <span class="nav-title">%title</span>',
					'next_text' => '</span> <span class="nav-title">%title</span>',
				)
			);

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

	</main><!-- #main -->

<?php
get_sidebar();
get_footer();
