<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Snapfolio
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('wow zoomIn element-item theme-image'); ?>>

	<div class="image-wrap">
		<?php if (has_post_thumbnail()){
		the_title( sprintf( '<h2 class="featured-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
			<div class="featured-image-content">
				<?php the_post_thumbnail(); ?>
			</div>

		<?php } else { ?>
			<div class="featured-text-content">
				<?php the_title( sprintf( '<h2 class="featured-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
					<div class="entry-meta">
						<?php snapfolio_entry_cat_tags();
									snapfolio_posted_by();
									snapfolio_posted_on();
									snapfolio_entry_format();
						 ?>
					</div><!-- .entry-meta -->

					<div class="entry-content">

					<?php
						if ( is_search() || ! is_singular() ) {
							the_excerpt();
						} else {
							the_content(
								sprintf(
									wp_kses(
										/* translators: %s: Name of current post. Only visible to screen readers */
										'Continue Reading <span class="screen-reader-text"> "%s"</span>',
										array(
											'span' => array(
												'class' => array(),
											),
										)
									),
									wp_kses_post( get_the_title() )
								)
							);
							wp_link_pages(
								array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'snapfolio' ),
									'after'  => '</div>',
								)
							);
						}
						?>
				</div><!-- .entry-content -->
			</div>
		<?php } ?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->